/*
 * tablema.c - -ms macros table and other explicit troff command strings
 *		to work with Henry Spencer's ``awf'' nroff emulator (-ms)
 *		Release 3.0beta	January 1991
 *
 *	BETA Version	- DO NOT REDISTRIBUTE!
 *
 * Copyright 1988, 1989, 1990, 1991  Beverly A.Erlebacher
 * erlebach@cs.toronto.edu    ...uunet!utai!erlebach
 *
 */

#include "texi2roff.h"

/*
 * miscellaneous commands, described in texi2roff.h
 */
struct misccmds macmds = { ".ND", "\n.PP\n", "\n.IP\n", "\n.RS\n", "\n.RE\n"};

struct tablerecd matable[] = {
	"@ ",		"",	"\\ ",		"",	NONE,	ESCAPED,
	"@'",		"",	"'",		"",	NONE,	ESCAPED,
	"@*",		"",	"\n.br\n",	"",	NONE,	ESCAPED,
	"@.",		"",	"\\&.",		"",	NONE,	ESCAPED,
	"@:",		"",	"\\ ",		"",	NONE,	ESCAPED,
	"@@",		"",	"@",		"",	NONE,	ESCAPED,
	"@Arrow",	"\n",	"=>",		"\n",	NONE,	CHAR,
	"@TeX{",	"}",	"TeX",		"",	NONE,	INPARA,
	"@`",		"",	"\`",		"",	NONE,	ESCAPED,
	"@appendix",	"\n",	"\n.bp\n.NH 1\n",
						"\n",	BOLD,	HEADING,
	"@appendixsec",	"\n",	"\n.NH 2\n",	"\n",	BOLD,	HEADING,
	"@appendixsection","\n","\n.NH 2\n",	"\n",	BOLD,	HEADING,
	"@appendixsubsec","\n",	"\n.NH 3\n",	"\n",	BOLD,	HEADING,
	"@appendixsubsubsec","\n","\n.NH 4\n",	"\n",	BOLD,	HEADING,
	"@arrow",	"\n",	"->",		"\n",	NONE,	CHAR,
	"@asis",	"\n",	"",		"\n",	NONE,	PARAGRAPH,
	"@asis{",	"}",	"",		"",	NONE,	INPARA,
	"@author",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@br",		"\n",	"\n.br\n.sp\n", "",	NONE,	PARAGRAPH,
	"@bullet{",	"}",	"+",		"",	NONE,	CHAR,
	"@bye",		"\n",	"",		"\n",	NONE,	DISCARD,
	"@b{",		"}",	"\\fB",		"",	BOLD,	INPARA,
	"@c",		"\n",	"",		"",	NONE,	FLUSH,
	"@center",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@center{",	"}",	"\n.ce\n",	"",	NONE,	HEADING,
	"@chapheading",	"\n",	"\n.bp\n.SH\n",
						"\n",	BOLD,	HEADING,
	"@chapter",	"\n",	"\n.bp\n.NH 1\n",
						"\n",	BOLD,	HEADING,
	"@cindex",	"\n",	"\n.iX \"c ",	"\"\n",	NONE,	DISCARD,
	"@cite{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@code{",	"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@comment",	"\n",	"",		"",	NONE,	FLUSH,
	"@contents",	"\n",	"\n.nr % 0\n.af % i\n.bp\n.PX\n",
						"",	NONE,	DISCARD,
	"@copyright{",	"}",	"(C)",		"",	NONE,	CHAR,
	"@ctrl{",	"}",	"\\fR^",	"",	ROMAN,	INPARA,
	"@dag",		"}{",	"-",		"",	NONE,	CHAR,
	"@dag{",	"}",	"-",		"",	NONE,	CHAR,
	"@ddag",	"}{",	"=",		"",	NONE,	CHAR,
	"@ddag{",	"}",	"=",		"",	NONE,	CHAR,
	"@defcmd",	"@end", "\n.LP\n*\\ Command: ",
						"\n",	NONE,	HEADING,
	"@defcmdx",	"\n", 	"\n.LP\n*\\ Command: ",
					"\n.br\n",	NONE,	HEADING,
	"@defcodeindex","\n",	"",		"\n",	NONE,	DISCARD,
	"@defconst",	"@end", "\n.LP\n*\\ Constant: ",
						"\n",	NONE,	HEADING,
	"@defconstx",	"\n", 	"\n.LP\n*\\ Constant: ",
					"\n.br\n",	NONE,	HEADING,
	"@defcv",	"@end", "\n.LP\n*\\ ",	"\n",	NONE,	HEADING,
	"@defcvx",	"\n",	"\n.LP\n*\\ ",
					"\n.br\n",	NONE,	HEADING,
	"@deffn",	"@end", "\n.LP\n*\\ ",	"\n",	NONE,	HEADING,
	"@deffnx",	"\n",	"\n.LP\n*\\ ",
					"\n.br\n",	NONE,	HEADING,
	"@defindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@defivar",	"@end", "\n.LP\n*\\ Instance variable of ",
						"\n",	NONE,	HEADING,
	"@defivarx",	"\n", 	"\n.LP\n*\\ Instance variable of ",
					"\n.br\n",	NONE,	HEADING,
	"@defmac",	"@end", "\n.LP\n*\\ Macro: ",
						"\n",	NONE,	HEADING,
	"@defmacx",	"\n", 	"\n.LP\n*\\ Macro: ",
					"\n.br\n",	NONE,	HEADING,
	"@defmethod",	"@end", "\n.LP\n*\\ Method on ",
						"\n",	NONE,	HEADING,
	"@defmethodx",	"\n",	"\n.LP\n*\\ Method on ",
					"\n.br\n",	NONE,	HEADING,
	"@defop",	"@end",	"\n.LP\n*\\ ", "\n",	NONE,	HEADING,
	"@defopt",	"@end", "\n.LP\n*\\ User Option: ",
						"\n",	NONE,	HEADING,
	"@defoptx",	"\n", 	"\n.LP\n*\\ User Option: ",
					"\n.br\n",	NONE,	HEADING,
	"@defopx",	"\n",	"\n.LP\n*\\ ",
					"\n.br\n",	NONE,	HEADING,
	"@defspec",	"@end", "\n.LP\n*\\ Special Form: ",
						"\n",	NONE,	HEADING,
	"@defspecx",	"\n", 	"\n.LP\n*\\ Special Form: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftp",	"@end", "\n.LP\n*\\ ",	"\n",	NONE,	HEADING,
	"@deftpx",	"\n",	"\n.LP\n*\\ ",
					"\n.br\n",	NONE,	HEADING,
	"@deftypefn",	"@end", "\n.LP\n*\\ ",	"\n",	NONE,	HEADING,
	"@deftypefnx",	"\n",	"\n.LP\n*\\ ",
					"\n.br\n",	NONE,	HEADING,
	"@deftypefun",	"@end", "\n.LP\n*\\ Function: ",
						"\n",	NONE,	HEADING,
	"@deftypefunx",	"\n", 	"\n.LP\n*\\ Function: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftypevar",	"@end", "\n.LP\n*\\ Variable: ",
						"\n",	NONE,	HEADING,
	"@deftypevarx",	"\n", 	"\n.LP\n*\\ Variable: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftypevr",	"@end", "\n.LP\n*\\ ",	"\n",	NONE,	HEADING,
	"@deftypevrx",	"\n",	"\n.LP\n*\\ ",
					"\n.br\n",	NONE,	HEADING,
	"@defun",	"@end", "\n.LP\n*\\ Function: ",
						"\n",	NONE,	HEADING,
	"@defunx",	"\n", 	"\n.LP\n*\\ Function: ",
					"\n.br\n",	NONE,	HEADING,
	"@defvar",	"@end", "\n.LP\n*\\ Variable: ",
						"\n",	NONE,	HEADING,
	"@defvarx",	"\n", 	"\n.LP\n*\\ Variable: ",
					"\n.br\n",	NONE,	HEADING,
	"@defvr",	"@end", "\n.LP\n*\\ ",	"\n",	NONE,	HEADING,
	"@defvrx",	"\n",	"\n.LP\n*\\ ",
					"\n.br\n",	NONE,	HEADING,
	"@dfn{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@display",	"@end", "\n.ID\n",
					"\n.DE\n",	NONE,	DISPLAY,
	"@dots{",	"}",	"\\&...",	"",	NONE,	INPARA,
	"@eject",	"\n",	"\n.bp\n",	"",	NONE,	PARAGRAPH,
	"@emph{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@end",		"\n",	"",	"\n.in\n",	NONE,	END,
	"@enumerate",	"@end", "\n",		"\n",	NONE,	ITEMIZING,
	"@equiv{",	"}",	"==",		"",	NONE,	CHAR,
	"@error{",	"}",	"error-->",	"",	NONE,	CHAR,
	"@evenfooting",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@evenheading",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@everyfooting","\n",	"",		"\n",	NONE,	DISCARD,
	"@everyheading","\n",	"",		"\n",	NONE,	DISCARD,
	"@example",	"@end", "\n.ID\n\\fR\n", 
					"\n.DE\n",	ROMAN,	DISPLAY,
	"@example{",	"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@exdent",	"\n",	"\n.ti -\\n(.i\n",
					"\n.br\n",	NONE,	PARAGRAPH,
	"@expansion{",	"}",	"-->",		"",	NONE,	CHAR,
	"@file{",	"}",	"\\fR`", 	"'",	ROMAN,	INPARA,
	"@finalout",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@findex",	"\n",	"\n.iX \"f ",	"\"\n",	NONE,	DISCARD,
	"@flushleft",	"@end", "\n.ad l\n",
					"\n.ad b\n",	NONE,	PARAGRAPH,
	"@flushright",	"@end", "\n.ad r\n",
					"\n.ad b\n",	NONE,	PARAGRAPH,
	"@footnote{",	"}",	"{Footnote: ",	"}",	NONE,	INPARA,
	"@format",	"@end", "\n.ID\n",
					"\n.DE\n",	NONE,	DISPLAY,
	"@ftable",	"@end", "\n",		"\n",	NONE,	ITEMIZING,
	"@group",	"@end", "\n.DS\n",
					"\n.DE\n",	NONE,	PARAGRAPH,
	"@heading",	"\n",	"\n.bp\n.SH\n",	"\n",	BOLD,	HEADING,
	"@headings",	"\n",	"",		"",	NONE,	DISCARD,
	"@iappendix",	"\n",	"\n.bp\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@iappendixsec","\n",	"\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@iappendixsubsec","\n","\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@ichapter",	"\n",	"\n.bp\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@ifinfo",	"@end", "",		"",	NONE,	FLUSH,
	"@iftex",	"@end", "",		"",	NONE,	META,
	"@ignore",	"@end", "",		"",	NONE,	FLUSH,
	"@ii{",		"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@include",	"\n",	"",		"\n",	NONE,	INCLUDE,
	"@inforef{",	"}",	"See Info file ","",	NONE,	DISCARD,
	"@isection",	"\n",	"\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@isubsection",	"\n",	"\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@isubsubsection","\n",	"\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@item",	"\n",	"\n.IP \"",	" \"\n",NONE,	ITEM,
	"@itemize",	"@end", "\n",		"\n",	NONE,	ITEMIZING,
	"@itemx",	"\n",	"\n.IP \"",	" \"\n",NONE,	ITEM,
	"@iunnumbered",	"\n",	"\n.bp\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@iunnumberedsec","\n",	"\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@iunnumberedsubsec","\n","\n.SH\n",	"\n", 	BOLD,	HEADING,
	"@i{",		"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@kbd{",	"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@key{",	"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@kindex",	"\n",	"\n.iX \"k ",	"\"\n",	NONE,	DISCARD,
	"@lisp",	"@end", "\n.ID\n\\fR\n", 
					"\n.DE\n",	ROMAN,	DISPLAY,
	"@majorheading","\n",	"\n.sp 4\n.SH\n", "\n",	BOLD,	HEADING,
	"@menu",	"@end", "\n.LD\n\\s8Menu: \n",
					"\\s0\n.DE\n",	NONE,	DISCARD,
	"@minus{",	"}",	"-",		"",	NONE,	CHAR,
	"@need",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@node",	"\n",	"\n.LP\n\\s8Node:",
					"\\s0\n.br\n",	NONE,	DISCARD,
	"@noindent",	"\n",	"\n.LP\n",	"",	NONE,	PARAGRAPH,
	"@oddfooting",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@oddheading",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@page",	"\n",	"\n.bp\n",	"",	NONE,	PARAGRAPH,
	"@pindex",	"\n",	"\n.iX \"p ",	"\"\n",	NONE,	DISCARD,
	"@point{",	"}",	"*",		"",	NONE,	CHAR,
	"@printindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@prints{",	"}",	"-|",		"",	NONE,	CHAR,
	"@print{",	"}",	"-|",		"",	NONE,	CHAR,
	"@pxref{",	"}",	"see section ",	"",	NONE,	PARAGRAPH,
	"@quotation",	"@end","\n.QP\n",	"\n.PP\n",NONE,	DISPLAY,
	"@refill",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@ref{",	"}",	"section ",	"",	NONE,	INPARA,
	"@result",	"\n",	"=>",		"\n",	NONE,	CHAR,
	"@result{",	"}",	"=>",		"",	NONE,	CHAR,
	"@r{",		"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@samp{",	"}",	"\\fR`",	"'",	ROMAN,	INPARA,
	"@sc{",		"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@section",	"\n",	"\n.NH 2\n",	"\n",	BOLD,	HEADING,
	"@setchapternewpage","\n",	"",	"\n",	NONE,	DISCARD,
	"@setfilename",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@settitle",	"\n",	"\n.ds St ",
	"\n.OH '\\\\*(St''%'\n.EH '%''\\\\*(St'\n",	NONE,	DISCARD,
	"@shortcontents",	"\n",
		"\n.nr % 0\n.af % i\n.bp\n.PX\n", "",	NONE,	DISCARD,
	"@smallbook",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@smallexample",	"@end", "\n.ID\n\\fR\n",
					"\n.DE\n",	ROMAN,	DISPLAY,
	"@smalllisp",	"@end", "\n.ID\n\\fR\n",
					"\n.DE\n",	ROMAN,	DISPLAY,
	"@sp",		"\n",	"\n.sp",	"\n",	NONE,	PARAGRAPH,
	"@sp2",		"\n",	"\n.sp 2",	"\n",	NONE,	PARAGRAPH,
	"@strong{",	"}",	"\\fB",		"",	BOLD,	INPARA,
	"@subheading",	"\n",	"\n.SH\n",	"\n",	BOLD,	HEADING,
	"@subsection",	"\n",	"\n.NH 3\n",	"\n",	BOLD,	HEADING,
	"@subsubheading","\n",	"\n.SH\n",	"\n",	BOLD,	HEADING,
	"@subsubsection","\n",	"\n.NH 4\n",	"\n",	BOLD,	HEADING,
	"@subtext",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@subtitle",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@summarycontents",	"\n",
		"\n.nr % 0\n.af % i\n.bp\n.PX\n","",	NONE,	DISCARD,
	"@syncodeindex","\n",	"",		"\n",	NONE,	DISCARD,
	"@synindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@t",		"\n",	"\t",		"\n",	NONE,	CHAR,
	"@table",	"@end",	"\n",		"\n",	NONE,	ITEMIZING,
	"@tex",		"@end",	"",		"",	NONE,	DISCARD, 
	"@thischaptername","\n",	"",	"",	NONE,	DISCARD, 
	"@thisfile",	"\n",	"",		"",	NONE,	DISCARD, 
	"@thistitle",	"\n",	"",		"",	NONE,	DISCARD, 
	"@tindex",	"\n",	"\n.iX \"t ",	"\"\n",	NONE,	DISCARD,
	"@title",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@titlefont{",	"}",	"\n.ps +10\n.ce\n",
					"\n.ps -10\n",	NONE,	PARAGRAPH,
	"@titlepage",	"@end", "\n",	"\n.bp\n",	NONE,	PARAGRAPH,
	"@titlespec",	"@end", "\n.ce \n\\&\\*(St \n",
						"\n",	NONE,	PARAGRAPH,
	/* be sure to change in 9 years */
	"@today",	"\n", "\\n(dy \\*(MO 19\\n(yr",
						"\n",	NONE,	DISCARD,
	"@today{",	"}", "\\n(dy \\*(MO 19\\n(yr",
						"",	NONE,	DISCARD,
	"@top",		"\n",	"\n.bp\n.SH\n",	"\n",	BOLD,	HEADING,
	"@t{",		"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@unnumbered", 	"\n",	"\n.bp\n.SH\n",	"\n",	BOLD,	HEADING,
	"@unnumberedsec","\n",	"\n.SH\n",	"\n",	BOLD,	HEADING,
	"@unnumberedsubsec","\n","\n.SH\n",	"\n",	BOLD,	HEADING,
	"@unnumberedsubsubsec","\n","\n.SH\n",	"\n",	BOLD,	HEADING,
	"@var{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@vfil",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@vindex",	"\n",	"\n.iX \"v ",	"\"\n",	NONE,	DISCARD,
	"@vskip",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@w{",		"}",	"",		"",	NONE,	INPARA,
	"@xref{",	"}",	"See section ",	"",	NONE,	PARAGRAPH,
	"@{",		"",	"{",		"",	NONE,	ESCAPED,
	"@|",		"",	"",		"",	NONE,	DISCARD,
	"@}",		"",	"}",		"",	NONE,	ESCAPED
};

int matablesize = sizeof matable;
