/*
 * tableme.c - -me macros table and other explicit troff command strings
 *		Release 1.0a	August 1988
 *		Release 2.0	January 1990
 *		Release 3.0beta	January 1991
 *
 *	BETA Version	- DO NOT REDISTRIBUTE!
 *
 * Copyright 1988, 1989, 1990, 1991  Beverly A.Erlebacher
 * erlebach@cs.toronto.edu    ...uunet!utai!erlebach
 *
 */

#include "texi2roff.h"

/* 
 * miscellaneous commands, described in texi2roff.h 
 */
struct misccmds mecmds = { ".nr _- 0", "\n.pp\n", "\n.ip\n", "", ""};

struct tablerecd metable[] = {
	"@ ",		"",	"\\ ",		"",	NONE,	ESCAPED,
	"@'",		"",	"\\(is",	"",	NONE,	ESCAPED,
	"@*",		"",	"\n.br\n",	"",	NONE,	ESCAPED,
	"@.",		"",	"\\&.",		"",	NONE,	ESCAPED,
	"@:",		"",	"\\ ",		"",	NONE,	ESCAPED,
	"@@",		"",	"@",		"",	NONE,	ESCAPED,
	"@Arrow",	"\n",	"\\(rh",	"\n",	NONE,	CHAR,
	"@TeX{",	"}",	"TeX",		"",	NONE,	INPARA,
	"@`",		"",	"\\(if",	"",	NONE,	ESCAPED,
	"@appendix",	"\n",	
	 "\n.if !\\n(_- \\{\\\n.nr _- 1\n.nr $1 0 1\n.af $1 A\\}\n.bp\n.ds __ ",
	 "\n.sh 1 \\*(__ \n.(x \n\\n($1	\\*(__ \n.)x\n",BOLD,	HEADING,
	"@appendixsec",	"\n",	"\n.ds __ ",
	"\n.sh 2 \\*(__ \n.(x \n\\n($1.\\n($2      \\*(__ \n.)x\n",
							BOLD,	HEADING,
	"@appendixsection",	"\n",	"\n.ds __ ",
	"\n.sh 2 \\*(__ \n.(x \n\\n($1.\\n($2      \\*(__ \n.)x\n",
							BOLD,	HEADING,
	"@appendixsubsec",	"\n",	"\n.ds __ ",
	"\n.sh 3 \\*(__ \n.(x \n\\n($1.\\n($2.\\n($3    \\*(__ \n.)x\n",
							BOLD,	HEADING,
	"@appendixsubsubsec","\n",	"\n.ds __ ",
	"\n.sh 4 \\*(__ \n.(x \n\\n($1.\\n($2.\\n($3.\\n($4  \\*(__ \n.)x\n",
							BOLD,	HEADING,
	"@arrow",	"\n",	"\\(->",	"\n",	NONE,	CHAR,
	"@asis",	"\n",	"",		"\n",	NONE,	PARAGRAPH,
	"@asis{",	"}",	"",		"",	NONE,	INPARA,
	"@author",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@br",		"\n",	"\n.br\n.sp\n", "",	NONE,	PARAGRAPH,
	"@bullet{",	"}",	"\\(bu",	"",	NONE,	CHAR,
	"@bye",		"\n",	"",		"\n",	NONE,	DISCARD,
	"@b{",		"}",	"\\fB",		"",	BOLD,	INPARA,
	"@c",		"\n",	"",		"",	NONE,	FLUSH,
	"@center",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@center{",	"}",	"\n.ce\n",	"",	NONE,	HEADING,
	"@chapheading",	"\n",	"\n.bp\n.sh ",	"\n",	BOLD,	HEADING,
	"@chapter",	"\n",	"\n.bp\n.ds __ ",
	"\n.sh 1 \\*(__ \n.(x \n\\n($1	\\*(__ \n.)x\n",BOLD,	HEADING,
	"@cindex",	"\n",	"\n.iX \"c ",	"\"\n",	NONE,	INDEX,
	"@cite{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@code{",	"}",	"\\fR\\&\\f(CW","",	CWIDTH,	INPARA,
	"@comment",	"\n",	"",		"",	NONE,	FLUSH,
	"@contents",	"\n",	"\n.nr % 0 1\n.af % i\n.bp \\n%+1\n",
	".ce\n\\fBTable of Contents\\fR\n.sp 2\n.xp \n",NONE,INPARA,
	"@copyright{",	"}",	"\\(co",	"",	NONE,	CHAR,
	"@ctrl{",	"}",	"\\fR\\&\\f(CW^","",	CWIDTH,	INPARA,
	"@dag",		"}{",	"\\(dg",	"",	NONE,	CHAR,
	"@dag{",	"}",	"\\(dg",	"",	NONE,	CHAR,
	"@ddag",	"}{",	"\\(dd",	"",	NONE,	CHAR,
	"@ddag{",	"}",	"\\(dd",	"",	NONE,	CHAR,
	"@defcodeindex",	"\n",	"",	"\n",	NONE,	DISCARD,
	"@defcmd",	"@end", "\n.lp\n*\\ Command: ",
						"\n",	NONE,	HEADING,
	"@defcmdx",	"\n", 	"\n.lp\n*\\ Command: ",
					"\n.br\n",	NONE,	HEADING,
	"@defconst",	"@end", "\n.lp\n*\\ Constant: ",
						"\n",	NONE,	HEADING,
	"@defconstx",	"\n", 	"\n.lp\n*\\ Constant: ",
					"\n.br\n",	NONE,	HEADING,
	"@defcv",	"@end",	"\n.lp\n*\\ ", "\n",	NONE,	HEADING,
	"@deffn",	"@end", "\n.lp\n*\\ ",	"\n",	NONE,	HEADING,
	"@deffnx",	"\n", 	"\n.lp\n*\\ ","\n.br\n",NONE,	HEADING,
	"@defindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@defivar",	"@end", "\n.lp\n*\\ Instance Variable: ",
						"\n",	NONE,	HEADING,
	"@defivarx",	"\n", 	"\n.lp\n*\\ Instance Variable: ",
					"\n.br\n",	NONE,	HEADING,
	"@defmac",	"@end", "\n.lp\n*\\ Macro: ",
						"\n",	NONE,	HEADING,
	"@defmacx",	"\n", 	"\n.lp\n*\\ Macro: ",
					"\n.br\n",	NONE,	HEADING,
	"@defmethod",	"@end", "\n.lp\n*\\ Method on ",
						"\n",	NONE,	HEADING,
	"@defmethodx",	"\n", 	"\n.lp\n*\\ Method on ",
					"\n.br\n",	NONE,	HEADING,
	"@defop",	"@end", "\n.lp\n*\\ ", "\n",	NONE,	HEADING,
	"@defopt",	"@end", "\n.lp\n*\\ User Option: ",
						"\n",	NONE,	HEADING,
	"@defoptx",	"\n", 	"\n.lp\n*\\ User Option: ",
					"\n.br\n",	NONE,	HEADING,
	"@defspec",	"@end", "\n.lp\n*\\ Special Form: ",
						"\n",	NONE,	HEADING,
	"@defspecx",	"\n", 	"\n.lp\n*\\ Special Form: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftp",	"@end",	"\n.lp\n*\\ ",	"\n",	NONE,	HEADING,
	"@deftypefn",	"@end", "\n.lp\n*\\ ",	"\n",	NONE,	HEADING,
	"@deftypefun",	"@end", "\n.lp\n*\\ Function: ",
						"\n",	NONE,	HEADING,
	"@deftypefunx",	"\n", 	"\n.lp\n*\\ Function: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftypefvar",	"@end", "\n.lp\n*\\ Variable: ",
						"\n",	NONE,	HEADING,
	"@deftypefvarx",	"\n", 	"\n.lp\n*\\ Variable: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftypevr",	"@end", "\n.lp\n*\\ ",	"\n",	NONE,	HEADING,
	"@defun",	"@end", "\n.lp\n*\\ Function: ",
						"\n",	NONE,	HEADING,
	"@defunx",	"\n", 	"\n.lp\n*\\ Function: ",
					"\n.br\n",	NONE,	HEADING,
	"@defvar",	"@end", "\n.lp\n*\\ Variable: ",
						"\n",	NONE,	HEADING,
	"@defvarx",	"\n", 	"\n.lp\n*\\ Variable: ",
					"\n.br\n",	NONE,	HEADING,
	"@defvr",	"@end", "\n.lp\n*\\ ",	"\n",	NONE,	HEADING,
	"@dfn{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@display",	"@end", "\n.(l I\n",  "\n.)l\n",NONE,	DISPLAY,
	"@dots{",	"}",	"\\&...",	"",	NONE,	INPARA,
	"@eject",	"\n",	"\n.bp\n",	"",	NONE,	PARAGRAPH,
	"@emph{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@end",		"\n",	"",	"\n.sp\n.in\n", NONE,	END,
	"@enumerate",	"@end", "\n.(l L F\n.ba +5\n",
				"\n.ba -5\n.)l\n",	NONE,	ITEMIZING,
	"@equiv{",	"}",	"\\(==",	"",	NONE,	CHAR,
	"@error{",	"}",	"error->",	"",	NONE,	CHAR,
	"@evenfooting",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@evenheading",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@everyfooting",	"\n",	"",	"\n",	NONE,	DISCARD,
	"@everyheading",	"\n",	"",	"\n",	NONE,	DISCARD,
	"@example",	"@end", "\n.(l I\n\\fR\\&\\f(CW\n",
					"\n.)l\n",	CWIDTH,	DISPLAY,
	"@example{",	"}",	"\\fR\\&\\f(CW",  "",	CWIDTH,	INPARA,
	"@exdent",	"\n",	"\n.ti -\\n(.i\n",
					"\n.br\n",	NONE,	PARAGRAPH,
	"@expansion{",	"}",	"\\(->",	"",	NONE,	CHAR,
	"@file{",	"}",	"\\fR\\&\\f(CW\\(if",
					"\\(is",	CWIDTH,	INPARA,
	"@finalout",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@findex",	"\n",	"\n.iX \"f ",	"\"\n",	NONE,	INDEX,
	"@flushleft",	"@end", "\n.ad l\n",
					"\n.ad b\n",	NONE,	PARAGRAPH,
	"@flushright",	"@end", "\n.ad r\n",
					"\n.ad b\n",	NONE,	PARAGRAPH,
	"@footnote{",	"}",	"\\**\n.(f\n\\** ", 
					"\n.)f\n",	NONE,	INPARA,
	"@format",	"@end", "\n.(l I\n",  "\n.)l\n",NONE,	DISPLAY,
	"@ftable",	"@end", "\n",		"\n",	NONE,	ITEMIZING,
	"@group",	"@end", "\n.(b\n",  "\n.)b\n",	NONE,	PARAGRAPH,
	"@heading",	"\n",	"\n.bp\n.uh ",	"\n",	BOLD,	HEADING,
	"@headings",	"\n",	"",		"",	NONE,	DISCARD,
	"@iappendix",	"\n",	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@iappendixsec",	"\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@iappendixsubsec",	"\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@ichapter",	"\n",	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@ifinfo",	"@end", "",		"",	NONE,	FLUSH,
	"@iftex",	"@end", "",		"",	NONE,	META,
	"@ignore",	"@end", "",		"",	NONE,	FLUSH,
	"@ii{",		"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@include",	"\n",	"",		"",	NONE,	INCLUDE,
	"@inforef{",	"}",	"See Info file ","",	NONE,	DISCARD,
	"@isection",	"\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@isubsection",	"\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@isubsubsection",	"\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@item",	"\n",	"\n.ip ",	"\\ \n",NONE,	ITEM,
	"@itemize",	"@end", "\n.(l L F\n.ba +5\n",
				"\n.ba -5\n.)l\n",	NONE,	ITEMIZING,
	"@itemx",	"\n",	"\n.ip ",	"\\ \n",NONE,	ITEM,
	"@iunnumbered",	"\n", 	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@iunnumberedsec",	"\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@iunnumberedsubsec","\n", 	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@i{",		"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@kbd{",	"}",	"\\fR\\&\\f(CW","",	CWIDTH,	INPARA,
	"@key{",	"}",	"\\fR\\&\\f(CW","",	CWIDTH,	INPARA,
	"@kindex",	"\n",	"\n.iX \"k ",	"\"\n",	NONE,	INDEX,
	"@lisp",	"@end", "\n.(l I\n\\fR\\&\\f(CW\n",
					"\n.)l\n",	CWIDTH,	DISPLAY,
	"@majorheading","\n",	"\n.sp 4\n.uh ", "\n",	BOLD,	HEADING,
	"@menu",	"@end", "\n.(l I\n\\s8Menu: \n",
					"\\s0\n.)l\n",	NONE,	DISCARD,
	"@minus{",	"}",	"\\-",		"",	NONE,	CHAR,
	"@need",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@node",	"\n", 	"\n.lp\n\\s8Node:",
					"\\s0\n.br\n",	NONE,	DISCARD,
	"@noindent",	"\n",	"\n.lp\n",	"",	NONE,	PARAGRAPH,
	"@oddfooting",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@oddheading",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@page",	"\n",	"\n.bp\n",	"",	NONE,	PARAGRAPH,
	"@pindex",	"\n",	"\n.iX \"p ",	"\"\n",	NONE,	INDEX,
	"@point{",	"}",	"*",		"",	NONE,	CHAR,
	"@printindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@prints{",	"}",	"-|",		"",	NONE,	CHAR,
	"@print{",	"}",	"-|",		"",	NONE,	CHAR,
	"@pxref{",	"}",	"see section  ","",	NONE,	PARAGRAPH,
	"@quotation",	"@end", "\n.(q\n.nh\n", "\n.)q\n",NONE,	DISPLAY,
	"@refill",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@ref{",	"}",	"section ",	"",	NONE,	INPARA,
	"@result",	"\n",	"\\(rh",	"\n",	NONE,	CHAR,
	"@result{",	"}",	"\\(rh",	"",	NONE,	CHAR,
	"@r{",		"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@samp{",	"}",	"\\fR\\&\\f(CW\\(if",
					"\\(is",	CWIDTH,	INPARA,
	"@sc{",		"}",	"\\fS",		"",	SMCAPS,	INPARA,
	"@section",	"\n",	"\n.ds __ ",
	 "\n.sh 2 \\*(__ \n.(x \n\\n($1.\\n($2      \\*(__ \n.)x\n",
							BOLD,	HEADING,
	"@setchapternewpage","\n",	"",	"\n",	NONE,	DISCARD,
	"@setfilename",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@settitle",	"\n",	"\n.ds St ",
	"\n.oh '\\\\*(St''%'\n.eh '%''\\\\*(St'\n",	NONE,	HEADING,
	"@shortcontents",	"\n",	"\n.nr % 0 1\n.af % i\n.bp \\n%+1\n",
	".ce\n\\fBTable of Contents\\fR\n.sp 2\n.xp \n",NONE,	INPARA,
	"@smallbook",	"\n",	"",		"",	NONE,	DISCARD,
	"@smallexample",	"@end", "\n.(l I\n\\fR\\&\\f(CW\n",
					"\n.)l\n",	CWIDTH,	DISPLAY,
	"@smalllisp",	"@end", "\n.(l I\n\\fR\\&\\f(CW\n",
					"\n.)l\n",	CWIDTH,	DISPLAY,
	"@sp",		"\n",	"\n.sp",	"\n",	NONE,	PARAGRAPH,
	"@sp2",		"\n",	"\n.sp 2",	"\n",	NONE,	PARAGRAPH,
	"@strong{",	"}",	"\\fB",		"",	BOLD,	INPARA,
	"@subheading",	"\n",	"\n.uh ",	"\n",	BOLD,	HEADING,
	"@subsection",	"\n",	"\n.ds __ ",
	"\n.sh 3 \\*(__ \n.(x \n\\n($1.\\n($2.\\n($3    \\*(__ \n.)x\n",
							BOLD,	HEADING,
	"@subsubheading", "\n",	"\n.uh ",	"\n",	BOLD,	HEADING,
	"@subsubsection", "\n",	"\n.ds __ ",
	  "\n.sh 4 \\*(__ \n.(x \n\\n($1.\\n($2.\\n($3.\\n($4  \\*(__ \n.)x\n",
							BOLD,	HEADING,
	"@subtext",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@subtitle",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@summarycontents",	"\n",	"\n.nr % 0 1\n.af % i\n.bp \\n%+1\n",
	".ce\n\\fBTable of Contents\\fR\n.sp 2\n.xp \n",NONE,	INPARA,
	"@syncodeindex",	"\n",	"",	"\n",	NONE,	DISCARD,
	"@synindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@t",		"\n",	"\t",		"\n",	NONE,	CHAR,
	"@table",	"@end", "\n.(l L F\n.ba +5\n",
				"\n.ba -5\n.)l\n",	NONE,	ITEMIZING,
	"@tex",		"@end", "",		"",	NONE,	DISCARD, 
	"@thischaptername",	"\n",	"",	"",	NONE,	DISCARD, 
	"@thisfile",	"\n",	"",		"",	NONE,	DISCARD, 
	"@thistitle",	"\n",	"",		"",	NONE,	DISCARD, 
	"@tindex",	"\n",	"\n.iX \"t ",	"\"\n",	NONE,	INDEX,
	"@title",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@titlefont{",	"}",	"\n.sz +10\n.ce\n",
					"\n.sz -10\n",	NONE,	PARAGRAPH,
	"@titlepage",	"@end", "\n.tp\n",  "\n.bp\n",	NONE,	PARAGRAPH,
	"@titlespec",	"@end", "\n.tp\n.ce \n\\&\\*(St \n",
						"\n",	NONE,	PARAGRAPH,
	/* be sure to change in 9 years */
	"@today",	"\n",	"\\n(dy \\*(MO 19\\n(yr",
						"\n",	NONE,	CHAR,
	"@today{",	"}",	"\\n(dy \\*(MO 19\\n(yr",
						"",	NONE,	CHAR,
	"@top",		"\n",	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@t{",		"}",	"\\fR\\&\\f(CW",  "",	CWIDTH,	INPARA,
	"@unnumbered",	"\n",	"\n.bp\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@unnumberedsec",	"\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@unnumberedsubsec","\n",	"\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@unnumberedsubsubsec","\n","\n.ds __ ",
		"\n.(x \n\\*(__ \n.)x\n.uh  \\*(__ \n",	BOLD,	HEADING,
	"@var{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@vfil", 	"\n",	"",		"\n",	NONE,	DISCARD,
	"@vindex",	"\n",	"\n.iX \"v ",	"\"\n",	NONE,	INDEX,
	"@vskip",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@w{",		"}",	"",		"",	NONE,	INPARA,
	"@xref{",	"}",	"See section ",	"",	NONE,	PARAGRAPH,
	"@{",		"",	"{",		"",	NONE,	ESCAPED,
	"@|",		"",	"",		"",	NONE,	DISCARD,
	"@}",		"",	"}",		"",	NONE,	ESCAPED
};

int metablesize = sizeof metable;
