/*
 * tablemm.c - -mm macros table and other explicit troff command strings
 *		Release 1.0a	August 1988
 *		Release 2.0	January 1990
 *		Release 3.0beta	January 1991
 *
 *	BETA Version	- DO NOT REDISTRIBUTE!
 *
 * Copyright 1988, 1989, 1990, 1991  Beverly A.Erlebacher
 * erlebach@cs.toronto.edu    ...uunet!utai!erlebach
 *
 */

#include "texi2roff.h"

/*
 * miscellaneous commands, described in texi2roff.h
 */
struct misccmds mmcmds = { 
".nr _- 0\n.PH '''\n.SA 1\n.nr Cl 5\n.ds HP 14 14 14 14 14 14 14\n\
.ds HF 3 3 3 3 3 3 3\n.nr Hb 7\n.nr Hs 7\n.nr Pt 1", "\n.P 1\n",
				"\n.P 1\n.ti -\\n(Pin\n", "", "" };

struct tablerecd mmtable[] = {
	"@ ",		"",	"\\ ",		"",	NONE,	ESCAPED,
	"@'",		"",	"\\(is",	"",	NONE,	ESCAPED,
	"@*",		"",	"\n.br\n",	"",	NONE,	ESCAPED,
	"@.",		"",	"\\&.",		"",	NONE,	ESCAPED,
	"@:",		"",	"\\ ",		"",	NONE,	ESCAPED,
	"@@",		"",	"@",		"",	NONE,	ESCAPED,
	"@Arrow",	"\n",	"\\(rh",	"\n",	NONE,	CHAR,
	"@TeX{",	"}",	"TeX",		"",	NONE,	INPARA,
	"@'",		"",	"\\(if",	"",	NONE,	ESCAPED,
	"@appendix",	"\n",
	"\n.if !\\n(_- \\{\\\n.nr _- 1\n.nr H1 0 1\n.af H1 A\\}\n.bp\n.H 1 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@appendixsec",	"\n",	"\n.sp .5\n.H 2 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@appendixsection",	"\n",	"\n.sp .5\n.H 2 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@appendixsubsec",	"\n",	"\n.sp .5\n.H 3 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@appendixsubsubsec","\n",	"\n.sp .5\n.H 4 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@arrow",	"\n",	"\\(->",	"\n",	NONE,	CHAR,
	"@asis",	"\n",	"",		"\n",	NONE,	PARAGRAPH,
	"@asis{",	"}",	"",		"",	NONE,	INPARA,
	"@author",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@br",		"\n",	"\n.br\n.sp\n", "",	NONE,	PARAGRAPH,
	"@bullet{",	"}",	"\\(bu",	"",	NONE,	CHAR,
	"@bye",		"\n",	"",		"\n",	NONE,	DISCARD, 
	"@b{",		"}",	"\\fB",		"",	BOLD,	INPARA,
	"@c",		"\n",	"",		"",	NONE,	FLUSH,
	"@center",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@center{",	"}",	"\n.ce\n",	"",	NONE,	HEADING,
	"@chapheading",	"\n",	"\n.bp\n.HU ",
					"\n.sp .5\n\n",	BOLD,	HEADING,
	"@chapter",	"\n",	"\n.bp\n.H 1 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@cindex",	"\n",	"\n.iX \"c ",	"\"\n",	NONE,	INDEX,
	"@cite{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@code{",	"}",	"\\fR\\&\\f(CW","",	CWIDTH,	INPARA,
	"@comment",	"\n",	"",		"",	NONE,	FLUSH,
	"@contents",	"\n",	"\n.TC 1 1 5 0\n", "",	NONE,	INPARA,
	"@copyright{",	"}",	"\\(co",	"",	NONE,	CHAR,
	"@ctrl{",	"}",	"\\fR\\&\\f(CW^","",	CWIDTH,	INPARA,
	"@dag",		"}{",	"\\(dg",	"",	NONE,	CHAR,
	"@dag{",	"}",	"\\(dg",	"",	NONE,	CHAR,
	"@ddag",	"}{",	"\\(dd",	"",	NONE,	CHAR,
	"@ddag{",	"}",	"\\(dd",	"",	NONE,	CHAR,
	"@defcmd",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ Command: ",
						"",	NONE,	HEADING,
	"@defcmdx",	"\n", 	"\n.P 1\n.ti -\\n(Pin\n*\\ Command: ",
					"\n.br\n",	NONE,	HEADING,
	"@defcodeindex",	"\n",	"",	"\n",	NONE,	DISCARD,
	"@defconst",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ Constant: ",
						"",	NONE,	HEADING,
	"@defconstx",	"\n", 	"\n.P 1\n.ti -\\n(Pin\n*\\ Constant: ",
					"\n.br\n",	NONE,	HEADING,
	"@defcv",	"@end",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
						"\n",	NONE,	HEADING,
	"@defcvx",	"\n",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
					"\n.br\n",	NONE,	HEADING,
	"@deffn",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ ",	
						"\n",	NONE,	HEADING,
	"@deffnx",	"\n",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
					"\n.br\n",	NONE,	HEADING,
	"@defindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@defivar",	"@end",
		"\n .P 1\n.ti -\\n(Pin\n*\\ Instance Variable: ",
						"\n",	NONE,	HEADING,
	"@defivarx",	"\n",
		"\n .P 1\n.ti -\\n(Pin\n*\\ Instance Variable: ",
					"\n.br\n",	NONE,	HEADING,
	"@defmac",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ Macro: ",
						"\n",	NONE,	HEADING,
	"@defmacx",	"\n", 	"\n.P 1\n.ti -\\n(Pin\n*\\ Macro: ",
					"\n.br\n",	NONE,	HEADING,
	"@defmethod",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ Method on ",
						"\n",	NONE,	HEADING,
	"@defmethodx",	"\n", 	"\n.P 1\n.ti -\\n(Pin\n*\\ Method on ",
					"\n.br\n",	NONE,	HEADING,
	"@defop",	"@end",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
						"\n",	NONE,	HEADING,
	"@defopt",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ User Option: ",
						"\n",	NONE,	HEADING,
	"@defoptx",	"\n", 	"\n.P 1\n.ti -\\n(Pin\n*\\ User Option: ",
					"\n.br\n",	NONE,	HEADING,
	"@defopx",	"\n",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
					"\n.br\n",	NONE,	HEADING,
	"@defspec",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ Special Form: ",
						"\n",	NONE,	HEADING,
	"@defspecx",	"\n", 	"\n.P 1\n.ti -\\n(Pin\n*\\ Special Form: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftp",	"@end", "\n .P 1\n.ti -\\n(Pin\n*\\ ",
					"\n.br\n",	NONE,	HEADING,
	"@deftpx",	"\n",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
					"\n.br\n",	NONE,	HEADING,
	"@deftypefn",	"@end", "\n .P 1\n.ti -\\n(Pin\n*\\ ",
						"\n",	NONE,	HEADING,
	"@deftypefnx",	"\n",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
					"\n.br\n",	NONE,	HEADING,
	"@deftypefun",	"@end",	"\n .P 1\n.ti -\\n(Pin\n*\\ Function: ",
						"\n",	NONE,	HEADING,
	"@deftypefunx",	"\n",	"\n .P 1\n.ti -\\n(Pin\n*\\ Function: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftypefvar",	"@end", "\n .P 1\n.ti -\\n(Pin\n*\\ Variable: ",
						"\n",	NONE,	HEADING,
	"@deftypefvarx","\n", 	"\n .P 1\n.ti -\\n(Pin\n*\\ Variable: ",
					"\n.br\n",	NONE,	HEADING,
	"@deftypevr",	"@end", "\n .P 1\n.ti -\\n(Pin\n*\\ ",
						"\n",	NONE,	HEADING,
	"@deftypevrx",	"\n",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
					"\n.br\n",	NONE,	HEADING,
	"@defun",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ Function: ",
						"\n",	NONE,	HEADING,
	"@defunx",	"\n", 	"\n.P 1\n.ti -\\n(Pin\n*\\ Function: ",
					"\n.br\n",	NONE,	HEADING,
	"@defvar",	"@end", "\n.P 1\n.ti -\\n(Pin\n*\\ Variable: ",
						"\n",	NONE,	HEADING,
	"@defvarx",	"\n", 	"\n.P 1\n.ti -\\n(Pin\n*\\ Variable: ",
					"\n.br\n",	NONE,	HEADING,
	"@defvr",	"@end", "\n .P 1\n.ti -\\n(Pin\n*\\ ",
						"\n",	NONE,	HEADING,
	"@defvrx",	"\n",	"\n.P 1\n.ti -\\n(Pin\n*\\ ",	
					"\n.br\n",	NONE,	HEADING,
	"@dfn{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@display",	"@end", "\n.DS\n",  "\n.DE\n",	NONE,	DISPLAY,
	"@dots{",	"}",	"\\&...",	"",	NONE,	INPARA,
	"@eject",	"\n",	"\n.bp\n",	"",	NONE,	PARAGRAPH,
	"@emph{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@end",		"\n",	"",	"\n.sp\n.in\n", NONE,	END,
	"@enumerate",	"@end", "\n.VL 5 0\n",
					"\n.LE\n",	NONE,	ITEMIZING,
	"@equiv{",	"}",	"\\(==",	"",	NONE,	CHAR,
	"@error{",	"}",	"error-->",	"",	NONE,	CHAR,
	"@evenfooting",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@evenheading",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@everyfooting",	"\n",	"",	"\n",	NONE,	DISCARD,
	"@everyheading",	"\n",	"",	"\n",	NONE,	DISCARD,
	"@example",	"@end", "\n.DS 1\n\\fR\\&\\f(CW\n",
					"\n.DE\n",	CWIDTH,	DISPLAY,
	"@example{",	"}",	"\\fR\\&\\f(CW","",	CWIDTH,INPARA,
	"@exdent",	"\n",	"\n.ti -\\n(.i\n",
					"\n.br\n",	NONE,	PARAGRAPH,
	"@expansion{",	"}",	"\\(->",	"",	NONE,	CHAR,
	"@file{",	"}",	"\\fR\\&\\f(CW\\(if",
					"\\(is",	CWIDTH,	INPARA,
	"@finalout",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@findex",	"\n",	"\n.iX \"f ",	"\"\n",	NONE,	INDEX,
	"@flushleft",	"@end", "\n.ad l\n",
					"\n.ad b\n",	NONE,	PARAGRAPH,
	"@flushright",	"@end", "\n.ad r\n",
					"\n.ad b\n",	NONE,	PARAGRAPH,
	"@footnote{",	"}",	"\\*F\n.FS\n",
					"\n.FE\n",	NONE,	INPARA,
	"@format",	"@end", "\n.DS\n", "\n.DE\n",	NONE,	DISPLAY,
	"@ftable",	"@end", "\n",		"\n",	NONE,	ITEMIZING,
	"@group",	"@end", "\n.DS L F\n","\n.DE\n",NONE,	PARAGRAPH,
	"@heading",	"\n",	"\n.sp 2\n.HU ",
					"\n.sp .5\n\n",	BOLD,	HEADING,
	"@headings",	"\n",	"",		"",	NONE,	DISCARD,
	"@iappendix",	"\n",	"\n.bp\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@iappendixsec",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@iappendixsubsec",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@ichapter",	"\n",	"\n.bp\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@ifinfo",	"@end", "", 		"",	NONE,	FLUSH,
	"@iftex",	"@end", "",		"",	NONE,	META,
	"@ignore",	"@end", "",		"",	NONE,	FLUSH,
	"@ii{",		"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@include",	"\n",	"",		"\n",	NONE,	INCLUDE,
	"@inforef{",	"}",	"See Info file ","",	NONE,	DISCARD,
	"@isection",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@isubsection",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@isubsubsection",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@item",	"\n",	"\n.LI ", "\\ \n",	NONE,	ITEM,
	"@itemize",	"@end", "\n.VL 5 0\n","\n.LE\n",NONE,	ITEMIZING,
	"@itemx",	"\n",	"\n.LI ", "\\ \n",	NONE,	ITEM,
	"@iunnumbered",	"\n",	"\n.bp\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@iunnumberedsec",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@iunnumberedsubsec","\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@i{",		"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@kbd{",	"}",	"\\fR\\&\\f(CW","",	CWIDTH,	INPARA,
	"@key{",	"}",	"\\fR\\&\\f(CW","",	CWIDTH,	INPARA,
	"@kindex",	"\n",	"\n.iX \"k ",	"\"\n",	NONE,	INDEX,
	"@lisp",	"@end", "\n.DS 1\n\\fR\\&\\f(CW\n",
					"\n.DE\n",	CWIDTH,	DISPLAY,
	"@majorheading",	"\n",	"\n.sp 4\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@menu",	"@end", "\n.DS L\n\\s8Menu: \n",
					"\\s0\n.DE\n",	NONE,	DISCARD, 
	"@minus{",	"}",	"\\-",		"",	NONE,	CHAR,
	"@need",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@node",	"\n",	"\n.P 1\n.ti -\\n(Pin\n\\s8Node:",
					"\\s0\n.br\n",	NONE,	DISCARD,
	"@noindent",	"\n",	"\n.P 1\n.ti -\\n(Pin\n",
						"",	NONE,	PARAGRAPH,
	"@oddfooting",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@oddheading",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@page",	"\n",	"\n.bp\n",	"",	NONE,	PARAGRAPH,
	"@pindex",	"\n",	"\n.iX \"p ",	"\"\n",	NONE,	INDEX,
	"@point{",	"}",	"*",		"",	NONE,	CHAR,
	"@printindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@prints{",	"}",	"-|",		"",	NONE,	CHAR,
	"@print{",	"}",	"-|",		"",	NONE,	CHAR,
	"@pxref{",	"}",	"see section ",	"",	NONE,	PARAGRAPH,
	"@quotation",	"@end", "\n.DS I F 5\n.nh\n",
					 "\n.DE\n",	NONE,	DISPLAY,
	"@refill",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@ref{",	"}",	"section ",	"",	NONE,	INPARA,
	"@result",	"\n",	"\\(rh",	"\n",	NONE,	CHAR,
	"@result{",	"}",	"\\(rh",	"",	NONE,	CHAR,
	"@r{",		"}",	"\\fR",		"",	ROMAN,	INPARA,
	"@samp{",	"}",	"\\fR\\&\\f(CW\\(if",
					"\\(is",	CWIDTH,	INPARA,
	"@sc{",		"}",	"\\fS",		"",	SMCAPS,	INPARA,
	"@section",	"\n",	"\n.sp .5\n.H 2 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@setchapternewpage","\n",	"",	"\n",	NONE,	DISCARD,
	"@setfilename",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@settitle",	"\n",	"\n.ds St ",
	 "\n.OH '\\\\*(St''%'\n.EH '%''\\\\*(St'\n",	NONE,	HEADING,
	"@shortcontents", "\n",	"\n.TC 1 1 5 0 \n", "",	NONE,	INPARA,
	"@smallbook",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@smallexample",	"@end", "\n.DS 1\n\\fR\\&\\f(CW\n",
					"\n.DE\n",	CWIDTH,	DISPLAY,
	"@smalllisp",	"@end", "\n.DS 1\n\\fR\\&\\f(CW\n",
					"\n.DE\n",	CWIDTH,	DISPLAY,
	"@sp",		"\n",	"\n.sp",	"\n",	NONE,	PARAGRAPH,
	"@sp2",		"\n",	"\n.sp 2",	"\n",	NONE,	PARAGRAPH,
	"@strong{",	"}",	"\\fB",		"",	BOLD,	INPARA,
	"@subheading",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@subsection",	"\n",	"\n.sp .5\n.H 3 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@subsubheading",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@subsubsection",	"\n",	"\n.sp .5\n.H 4 ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@subtext",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@subtitle",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@summarycontents", "\n",	"\n.TC 1 1 5 0 \n", "",	NONE,	INPARA,
	"@syncodeindex",	"\n",	"",	"\n",	NONE,	DISCARD,
	"@synindex",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@t",		"\n",	"\t",		"\n",	NONE,	CHAR,
	"@table",	"@end", "\n.VL 5 0\n","\n.LE\n",NONE,	ITEMIZING,
	"@tex",		"@end", "",		"",	NONE,	DISCARD, 
	"@thischaptername",	"\n",	"",	"",	NONE,	DISCARD, 
	"@thisfile",	"\n",	"",		"",	NONE,	DISCARD, 
	"@thistitle",	"\n",	"",		"",	NONE,	DISCARD, 
	"@tindex",	"\n",	"\n.iX \"t ",	"\"\n",	NONE,	INDEX,
	"@title",	"\n",	"\n.ce\n",	"\n",	NONE,	HEADING,
	"@titlefont{",	"}",	"\n.ps +10\n.ce\n",
					 "\n.ps -10\n",	NONE,	PARAGRAPH,
	"@titlepage",	"@end", "\n",	"\n.bp\n",	NONE,	PARAGRAPH,
	"@titlespec",	"@end", "\n.ce \n\\&\\*(St \n",
						"\n",	NONE,	PARAGRAPH,
	/* be sure to change in 9 years */
	"@today",	"\n", "\\n(dy \\*(MO 19\\n(yr",
						"\n",	NONE,	CHAR,
	"@today{",	"}", "\\n(dy \\*(MO 19\\n(yr",
						"",	NONE,	CHAR,
	"@top",		"\n",	"\n.bp\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@t{",		"}",	"\\fR\\&\\f(CW","",	CWIDTH,	INPARA,
	"@unnumbered",	"\n",	"\n.bp\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@unnumberedsec",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@unnumberedsubsec",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@unnumberedsubsubsec",	"\n",	"\n.sp .5\n.HU ",
					"\n.sp .5\n",	BOLD,	HEADING,
	"@var{",	"}",	"\\fI",		"",	ITALIC,	INPARA,
	"@vfil",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@vindex",	"\n",	"\n.iX \"v ",	"\"\n",	NONE,	INDEX,
	"@vskip",	"\n",	"",		"\n",	NONE,	DISCARD,
	"@w{",		"}",	"",		"",	NONE,	INPARA,
	"@xref{",	"}",	"See section ",	"",	NONE,	PARAGRAPH,
	"@{",		"",	"{",		"",	NONE,	ESCAPED,
	"@|",		"",	"",		"",	NONE,	DISCARD,
	"@}",		"",	"}",		"",	NONE,	ESCAPED
};

int mmtablesize = sizeof mmtable;
